Bug 1538407 - [3.8]Unable to list known health checks
Summary: [3.8]Unable to list known health checks
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.9.0
Assignee: Scott Dodson
QA Contact: Wenkai Shi
URL:
Whiteboard:
Depends On: 1509157
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-25 02:52 UTC by Wenkai Shi
Modified: 2018-06-18 18:28 UTC (History)
6 users (show)

Fixed In Version: openshift-ansible-3.9.0-0.23.0.git.0.d53d7ed.el7
Doc Type: Bug Fix
Doc Text:
Cause: In order for the adhoc.yml playbook to list health checks, they are all loaded, and one failed to load in that environment. Consequence: Listing health checks failed with an error. Fix: The problem health check was adjusted. Result: Listing works again.
Clone Of: 1509157
Environment:
Last Closed: 2018-06-13 20:20:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Wenkai Shi 2018-01-25 02:54:18 UTC
By the way, openshift-ansible-3.9.0-0.23.0.git.0.d53d7ed.el7 doesn't has such issue.

Comment 2 Scott Dodson 2018-01-25 03:14:04 UTC
There's no need to test 3.8 installer packages as those won't ship to customers. Moving to 3.9 releases.

Comment 3 Luke Meyer 2018-01-25 14:45:11 UTC
The merge of https://github.com/openshift/openshift-ansible/pull/6744 to master should have resolved this. This bug is only needed if we want to track it into 3.9 so there's something in the release notes about it.

Comment 4 Wenkai Shi 2018-01-26 01:39:10 UTC
Verified with version openshift-ansible-3.9.0-0.23.0.git.0.d53d7ed.el7, no such issue in 3.9.


Note You need to log in before you can comment on or make changes to this bug.